/* === Plans === */

.plans {
  padding: 150px 0 100px;
}

.plans-content .title {
  margin-bottom: 12px;
  max-width: 900px;
}

.plans-content .descr {
  max-width: 820px;
}

.plans-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 40px;
}

.plans-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: calc((100% - 80px) / 3);
  height: auto;
}

.plans-item-wrap {
  margin-bottom: 26px;
}

.plans-item-wrap-price {
  font-size: 38px;
  color: var(--text-inverted);
}

.plans-item-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex: 1;
  text-align: center;
  padding: 24px;
  border: 1px solid var(--text-inverted);
}

.plans-item-content .subtitle {
  font-size: 38px;
  margin-bottom: 24px;
}

.plans-item-content .descr {
  margin-bottom: 35px;
}

.plans-item-list {
  display: flex;
  flex-direction: column;
  width: 100%;
  margin-bottom: 45px;
}

.plans-item-list li {
  display: flex;
  align-items: center;
  gap: 15px;
  padding: 15px 15px;
  font-size: 18px;
  text-align: start;
}

.plans-item-list li:nth-child(odd) {
  background-color: var(--third-background);
}

.plans-item-list li::before {
  content: "✓";
  display: block;
  font-size: 18px;
  color: var(--primary-color);
}

.plans-item-content .primary-btn {
  margin-top: auto;
}

@media screen and (max-width: 1024px) {
  .plans-item {
    width: calc((100% - 40px) / 2);
  }
}

@media screen and (max-width: 500px) {
  .plans-item {
    width: 100%;
  }
}

/* === Benefits === */

.benefits {
  padding: 80px 0 150px;
}

.benefits-content .title {
  margin-bottom: 12px;
  max-width: 940px;
}

.benefits-content .descr {
  max-width: 820px;
}

.benefits-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 80px 30px;
  padding-top: 50px;
}

.benefits-item {
  display: flex;
  flex-direction: column;
  align-items: center;

  width: calc((100% - 90px) / 4);
  height: auto;
  border: 1px solid var(--text-inverted);
  padding: 0 20px 20px;
}

.benefits-item-wrap {
  border: 2px solid var(--primary-color);
  color: var(--primary-color);
  background-color: var(--background-color);
  font-size: 42px;
  width: 120px;
  padding: 10px;
  margin-top: -50px;
  margin-bottom: 20px;
  text-align: center;
}

.benefits-item-content {
  text-align: center;
}

.benefits-item-content .subtitle {
  margin-bottom: 10px;
}

@media screen and (max-width: 1024px) {
  .benefits-item {
    width: calc((100% - 60px) / 3);
  }
}

@media screen and (max-width: 768px) {
  .benefits-item {
    width: calc((100% - 30px) / 2);
  }
}

@media screen and (max-width: 500px) {
  .benefits-item {
    width: 100%;
  }
}
